> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# List Event Orchestrations

`GET https://api.pagerduty.com/event_orchestrations`

List all Global Event Orchestrations on an Account.

Global Event Orchestrations allow you define a set of Global Rules and Router Rules, so that when you ingest events using the Orchestration's Routing Key your events will have actions applied via the Global Rules & then routed to the correct Service by the Router Rules, based on the event's content.

For more information see the [API Concepts Document](https://docs.pagerduty.com/developer/api-concepts#event-orchestrations)

Scoped OAuth requires: `event_orchestrations.read`

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `limit` | integer |  | The number of results per page. |
| `offset` | integer |  | Offset to start pagination search results. |
| `sort_by` | string |  | Used to specify the field you wish to sort the results on. One of: `name:asc`, `name:desc`, `routes:asc`, `routes:desc`, `created_at:asc`, `created_at:desc`. Default: `name:asc`. |

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `Accept` | string | yes | The `Accept` header is used as a versioning header. Default: `application/vnd.pagerduty+json;version=2`. |

## Response 200

A paginated array of Event Orchestration objects.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `offset` | integer |  | Echoes offset pagination property. Read-only. |
| `limit` | integer |  | Echoes limit pagination property. Read-only. |
| `more` | boolean |  | Indicates if there are additional records to return. Read-only. |
| `total` | integer \| null |  | The total number of records matching the given query. Read-only. |
| `orchestrations` | array of object |  |  |
| `orchestrations[].id` | string |  | ID of the Orchestration. Read-only. |
| `orchestrations[].self` | string (url) |  | The API show URL at which the object is accessible. Read-only. |
| `orchestrations[].name` | string |  | Name of the Orchestration. |
| `orchestrations[].description` | string |  | A description of this Orchestration's purpose. |
| `orchestrations[].team` | object |  | Reference to the team that owns the Orchestration. If none is specified, only admins have access. |
| `orchestrations[].team.id` | string |  |  |
| `orchestrations[].team.type` | string |  | A string that determines the schema of the object. Read-only. |
| `orchestrations[].team.self` | string (url) |  | The API show URL at which the object is accessible. Read-only. |
| `orchestrations[].routes` | integer |  | Number of different Service Orchestration being routed to. Read-only. |
| `orchestrations[].created_at` | string (date-time) |  | The date the Orchestration was created at. Read-only. |
| `orchestrations[].created_by` | object |  | Reference to the user that has created the Orchestration. Read-only. |
| `orchestrations[].created_by.id` | string |  | Read-only. |
| `orchestrations[].created_by.type` | string |  | A string that determines the schema of the object. Read-only. |
| `orchestrations[].created_by.self` | string (url) |  | The API show URL at which the object is accessible. Read-only. |
| `orchestrations[].updated_at` | string (date-time) |  | The date the Orchestration was last updated. Read-only. |
| `orchestrations[].updated_by` | object |  | Reference to the user that has updated the Orchestration last. Read-only. |
| `orchestrations[].updated_by.id` | string |  | Read-only. |
| `orchestrations[].updated_by.type` | string |  | A string that determines the schema of the object. Read-only. |
| `orchestrations[].updated_by.self` | string (url) |  | The API show URL at which the object is accessible. Read-only. |
| `orchestrations[].version` | string |  | Version of the Orchestration. Read-only. |

Example: Response Example

```json
{
  "orchestrations": [
    {
      "id": "b02e973d-9620-4e0a-9edc-00fedf7d4694",
      "self": "https://api.pagerduty.com/event_orchestrations/b02e973d-9620-4e0a-9edc-00fedf7d4694",
      "name": "Shopping Cart Orchestration",
      "description": "Send shopping cart alerts to the right services",
      "team": {
        "id": "PQYP5MN",
        "type": "team_reference",
        "self": "https://api.pagerduty.com/teams/PQYP5MN"
      },
      "routes": 0,
      "created_at": "2021-11-18T16:42:01Z",
      "created_by": {
        "id": "P8B9WR8",
        "self": "https://api.pagerduty.com/users/P8B9WR8",
        "type": "user_reference"
      },
      "updated_at": "2021-11-18T16:42:01Z",
      "updated_by": {
        "id": "P8B9WR8",
        "self": "https://api.pagerduty.com/users/P8B9WR8",
        "type": "user_reference"
      },
      "version": "9co0z4b152oICsoV91_PW2.ww8ip_xap"
    }
  ],
  "limit": 25,
  "offset": 0,
  "more": false,
  "total": 1
}
```

## Response 401

Caller did not supply credentials or did not provide the correct credentials.
If you are using an API key, it may be invalid or your Authorization header may be malformed.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 403

Caller is not authorized to view the requested resource.
While your authentication is valid, the authenticated user or token does not have permission to perform this action.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 404

The requested resource was not found.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
